cxdocument.addEventListener("DOMContentLoaded", function () {
  const input = document.getElementById("searchInput");
  const table = document.getElementById("bonsTable");
  const rows = table.getElementsByTagName("tbody")[0].getElementsByTagName("tr");

  input.addEventListener("keyup", function () {
    const filter = input.value.toLowerCase();

    for (let i = 0; i < rows.length; i++) {
      const cells = rows[i].getElementsByTagName("td");
      let match = false;

      for (let j = 0; j < cells.length; j++) {
        if (cells[j].textContent.toLowerCase().includes(filter)) {
          match = true;
          break;
        }
      }

      rows[i].style.display = match ? "" : "none";
    }
  });
});
