<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/bon_travail.css">
    <link rel="stylesheet" href="css/menu.css">
    <title>Bon de travail</title>
</head>

<body>
    <?php include("menu.php"); ?>
    <h1>Bon de travail</h1>

    <form action="traitement_bon.php" method="post">
        <div class="section-info-client">
            <div class="ligne">
                <div class="col-nom">
                    <label>Nom du client</label>
                    <input type="text" name="nom_prenom" required />
                </div>
                <div class="col-date">
                    <label for="date">Date :</label>
                    <input type="date" name="date_creation" id="date" required />
                </div>
            </div>
            <div class="ligne">
                <div class="col-telephone">
                    <label>Téléphone</label>
                    <input type="tel" name="telephone" required />
                </div>
                <div class="col-poste">
                    <label>Poste</label>
                    <input type="text" name="poste" />
                </div>
            </div>
        </div>

        <div class="section-info-tech">
            <div class="ligne">
                <div class="col-tech">
                    <label>Technicien</label>
                    <select name="technicien" required>
			            <option value="" disabled selected hidden>-- Technicien --</option>
                        <option value="guillaume">Guillaume Lejeune</option>
                        <option value="remi">Remi Lessard</option>
                        <option value="yan">Yan Larocque</option>
                    </select>
                </div>
                <div class="col-boutique">
                    <label>Succursale</label>
                    <select name="succursale" required>
			<option value="" disabled selected hidden>-- Succursale --</option>
                        <option value="stgregoire">Saint-Grégoire</option>
                        <option value="gentilly">Gentilly</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="section-info-appareil">
            <div class="ligne">
                <div class="col-appareil">
                    <label>Appareil déposé</label>
                    <input type="text" name="appareil_deposer" required />
                </div>
                <div class="col-code">
                    <label>Code de dévérouillage</label>
                    <input type="text" name="code" required />
                </div>
                <div class="col-transfo">
                    <label>Transfo du Client</label>
                    <select name="transfo" required>
			        <option value="" disabled selected hidden>-- Le client a-t-il un transfo ? --</option>
                        <option value="oui">Oui</option>
                        <option value="non">Non</option>
                    </select>
                </div>
            </div>

            <div class="section-information-supplementaire">
                <label>Information supplémentaire</label>
                <textarea name="commentaire"></textarea>
            </div>

            <div class="section-termes">
                <p class="termes">
                    Tout appareil qui n'est pas récupéré dans les 90 jours suivant la date du dépôt,
                    deviendra propriété d'Informatique Yan Larocque. Nous pourrons donc disposer des appareils
                    à notre guise et sans préavis.
                </p>
                <p class="signature">
                    Signature du client : ______________________________________
                </p>
            </div>
        </div>

        <input type="submit" value="Enregistrer" />
    </form>
</body>
</html>
