<?php
include 'connexion_db.php';

$search = isset($_GET['search']) ? $conn->real_escape_string($_GET['search']) : '';
$filtre = isset($_GET['filtre']) ? $conn->real_escape_string($_GET['filtre']) : '';

$sql = "SELECT id, marque, modele, imei, type_transaction FROM verifications_telephone";
$where = [];

if ($search !== '') {
  $where[] = "(marque LIKE '%$search%' OR modele LIKE '%$search%' OR imei LIKE '%$search%' OR id LIKE '%$search%')";
}
if ($filtre !== '') {
  $where[] = "type_transaction = '$filtre'";
}
if (count($where) > 0) {
  $sql .= " WHERE " . implode(" AND ", $where);
}

$result = $conn->query($sql);

if ($result && $result->num_rows > 0) {
  while ($row = $result->fetch_assoc()) {
    $type = $row['type_transaction'];
    $couleur = match($type) {
        'En Vérification' => 'statut-verif',
        'Mis en vente'    => 'statut-vente',
        'Vendu'           => 'statut-vendu',
        default           => 'statut-autre',
    };

    echo "<div class='card $couleur' onclick=\"location.href='modif_cell.php?id=" . $row['id'] . "'\">";
    echo "<strong>" . htmlspecialchars($row['marque']) . " " . htmlspecialchars($row['modele']) . "</strong><br>";
    echo "IMEI : " . htmlspecialchars($row['imei']) . "<br>";
    echo "Statut : " . htmlspecialchars($row['type_transaction']);
    echo "</div>";
  }
} else {
  echo "<p style='text-align:center;'>Aucun téléphone trouvé.</p>";
}
?>
