<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

include 'connexion_db.php';
if (!$conn) {
    die("connexion à la base de données impossible.")
}

// Vérifie si on est en mode modification
if (!empty($_POST['id'])) {
    // Mode modification
    $sql = "UPDATE verifications_telephone SET
        date_transaction=?, type_transaction=?, client_nom=?, marque=?, modele=?, imei=?, prix_vente=?, prix_paye=?,
        lcd=?, reinitialise=?, batterie=?, reseau=?, port_charge=?, charge_sans_fil=?,
        loudspeaker=?, earspeaker=?, proximite=?, vibration=?, bluetooth=?,
        empreinte=?, face_id=?, boutons=?, date_verification=?, technicien=?, commentaire=?
        WHERE id=?";

    $stmt = $conn->prepare($sql);
    if (!$stmt) {
        die("Erreur de préparation : " . $conn->error);
    }

    $stmt->bind_param(
        "ssssssddsssssssssssssssssi",
        $_POST['date_transaction'],
        $_POST['type_transaction'],
        $_POST['client_nom'],
        $_POST['marque'],
        $_POST['modele'],
        $_POST['imei'],
        $_POST['prix_vente'],
        $_POST['prix_paye'],
        $_POST['lcd'],
        $_POST['reinitialise'],
        $_POST['batterie'],
        $_POST['reseau'],
        $_POST['port_charge'],
        $_POST['charge_sans_fil'],
        $_POST['loudspeaker'],
        $_POST['earspeaker'],
        $_POST['proximite'],
        $_POST['vibration'],
        $_POST['bluetooth'],
        $_POST['empreinte'],
        $_POST['face_id'],
        $_POST['boutons'],
        $_POST['date_verification'],
        $_POST['technicien'],
        $_POST['commentaire'],
        $_POST['id']
    );

    $id = $_POST['id'];
} else {
    // Mode insertion
    $sql = "INSERT INTO verifications_telephone (
        date_transaction, type_transaction, client_nom, marque, modele, imei, prix_vente, prix_paye,
        lcd, reinitialise, batterie, reseau, port_charge, charge_sans_fil,
        loudspeaker, earspeaker, proximite, vibration, bluetooth,
        empreinte, face_id, boutons, date_verification, technicien, commentaire
    ) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($sql);
    if (!$stmt) {
        die("Erreur de préparation : " . $conn->error);
    }

    $stmt->bind_param(
        "ssssssddsssssssssssssssss",
        $_POST['date_transaction'],
        $_POST['type_transaction'],
        $_POST['client_nom'],
        $_POST['marque'],
        $_POST['modele'],
        $_POST['imei'],
        $_POST['prix_vente'],
        $_POST['prix_paye'],
        $_POST['lcd'],
        $_POST['reinitialise'],
        $_POST['batterie'],
        $_POST['reseau'],
        $_POST['port_charge'],
        $_POST['charge_sans_fil'],
        $_POST['loudspeaker'],
        $_POST['earspeaker'],
        $_POST['proximite'],
        $_POST['vibration'],
        $_POST['bluetooth'],
        $_POST['empreinte'],
        $_POST['face_id'],
        $_POST['boutons'],
        $_POST['date_verification'],
        $_POST['technicien'],
        $_POST['commentaire']
    );

    $id = null; // sera défini après insertion
}

// Exécution
if ($stmt->execute()) {
    if (empty($id)) {
        $id = $conn->insert_id;
    }
    $stmt->close();
    $conn->close();

    // Redirection vers la fiche
    header("Location: ../fiche_cell.php?id=$id");
    exit();
} else {
    echo "❌ Une erreur est survenue : " . $stmt->error;
    $stmt->close();
    $conn->close();
}
?>
Not Found
The requested URL was not found on this server.

Apache/2.4.58 (Ubuntu) Server at 192.168.1.185 Port 80
